Follow

As a Python person who only occasionally dips a toe into Ruby-world, it is very funny to me that the legacy-but-still-maintained version over there is 2.7

· · Web · 4 · 1 · 29

very funny like, I hear it and flinch a little

@xor HEY! THAT'S... oh wait no yes that's correct.

@xor It took some projects and organizations a long time to upgrade from Ruby 1.8, much like Python 2.7.

@bk1e yeah, I don't see any reason why Python would have a monopoly on foot-dragging-upgrades! Just funny to see THAT number

@xor @bk1e I think the reason is the fact that python 2 code doesn't run on python 3. That's not the case with Ruby, the interpreter is backwards compatible.

Sign in to participate in the conversation

Toots from the intersection of art and technology.